ALTER TABLE PeajesClase ADD NitConsec VARCHAR(16)
GO
ALTER TABLE TiposVeh ADD CapacPeso DECIMAL(14,4) DEFAULT(0) NOT NULL
,UndCapac VARCHAR(10) DEFAULT('TONELADAS'),CapacVol DECIMAL(14,4) DEFAULT(0) NOT NULL
,UndCapVol VARCHAR(10),CubAlto DECIMAL(14,4) DEFAULT(0) NOT NULL
,CubLargo DECIMAL(14,4) DEFAULT(0) NOT NULL,CubAncho DECIMAL(14,4) DEFAULT(0) NOT NULL
,PesoBruto DECIMAL(14,4) DEFAULT(0) NOT NULL
GO
ALTER TABLE Companias ADD CodBodega VARCHAR(4)
GO
ALTER TABLE Trn_TraRemesa ADD CdBodega VARCHAR(4)
GO
ALTER TABLE  Formaspago ADD CodIntegrity VARCHAR(20)
GO
CREATE TABLE TarifasPaq ( 
IdOrigen VARCHAR(8) NOT NULL,
IdDestino VARCHAR(8) NOT NULL,
TarifaUnd DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TiempoEnt DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
TarifaMin DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
FormaPago VARCHAR(20) NOT NULL,
Inactivo BIT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_TarifasPaq PRIMARY KEY CLUSTERED (IdOrigen,IdDestino),
 CONSTRAINT CK_TarifasPaqFormaPago CHECK ((len([FormaPago])>(0))),
 CONSTRAINT CK_TarifasPaqIdDestino CHECK ((len([IdDestino])>(0))),
 CONSTRAINT CK_TarifasPaqIdOrigen CHECK ((len([IdOrigen])>(0))))
CREATE TABLE TarifasMasivo ( 
IdOrigen VARCHAR(8) NOT NULL,
IdDestino VARCHAR(8) NOT NULL,
IdTipoVeh VARCHAR(4) NOT NULL,
TarifaUnd DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
VrFletes DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
Inactivo BIT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_TarifasMasivo PRIMARY KEY CLUSTERED (IdOrigen,IdDestino,IdTipoVeh),
 CONSTRAINT CK_TarifasMasivoIdDestino CHECK ((len([IdDestino])>(0))),
 CONSTRAINT CK_TarifasMasivoIdOrigen CHECK ((len([IdOrigen])>(0))),
 CONSTRAINT CK_TarifasMasivoIdTipoVeh CHECK ((len([IdTipoVeh])>(0))))
CREATE TABLE TarifSeguro ( 
IdTarif VARCHAR(4) NOT NULL,
VrDecInicial MONEY DEFAULT ((0)) NOT NULL,
VrDecFinal MONEY DEFAULT ((0)) NOT NULL,
TarifSeguro DECIMAL(16,6) DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_TarifSeguro PRIMARY KEY CLUSTERED (IdTarif),
 CONSTRAINT CK_TarifSeguroIdTarif CHECK ((len([IdTarif])>(0))))

CREATE TABLE Trn_TraTraslados ( 
TipDoc VARCHAR(3) DEFAULT ('TRR') NOT NULL,
Traslado INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Fecha SMALLDATETIME NOT NULL,
FecDespacho SMALLDATETIME NOT NULL,
TipoTraslado INT DEFAULT ((0)) NOT NULL,
IdBodega VARCHAR(4) NOT NULL,
IdBodDtno VARCHAR(4) NOT NULL,
IdVehiculo VARCHAR(10) NOT NULL,
IdConductor VARCHAR(16) NOT NULL,
Cantidad INT DEFAULT ((0)) NOT NULL,
PesoTotal DECIMAL(14,4) DEFAULT ((0)) NOT NULL,
Manifiesto INT DEFAULT ((0)) NOT NULL,
CdCiaMuc CHAR(2),
EstadoRec INT DEFAULT ((0)) NOT NULL,
FechaRec SMALLDATETIME,
CedRecibido VARCHAR(16),
NomRecibido VARCHAR(150),
Observacion VARCHAR(1000),
OrigenAdd VARCHAR(10) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdCiaCrea CHAR(2) DEFAULT ('01') NOT NULL,
IdUsuario VARCHAR(11) NOT NULL
 CONSTRAINT PK_Trn_TraTraslados PRIMARY KEY CLUSTERED (TipDoc,Traslado,IdCia),
 CONSTRAINT CK_Trn_TraTrasladosIdBodDtno CHECK ((len([IdBodDtno])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosIdBodega CHECK ((len([IdBodega])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosIdCiaCrea CHECK ((len([IdCiaCrea])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosIdConductor CHECK ((len([IdConductor])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosIdUsuario CHECK ((len([IdUsuario])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosIdVehiculo CHECK ((len([IdVehiculo])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosOrigenAdd CHECK ((len([OrigenAdd])>(0))),
 CONSTRAINT CK_Trn_TraTrasladosTipDoc CHECK ((len([TipDoc])>(0))))
CREATE TABLE Trn_TraTrasladoRem ( 
TipDoc VARCHAR(3) DEFAULT ('TRR') NOT NULL,
Traslado INT DEFAULT ((0)) NOT NULL,
IdCia CHAR(2) DEFAULT ('01') NOT NULL,
Item INT DEFAULT ((0)) NOT NULL,
TipRem VARCHAR(3) DEFAULT ('RMT') NOT NULL,
Remesa INT DEFAULT ((0)) NOT NULL,
IdCiaRem CHAR(2) DEFAULT ('01') NOT NULL,
ItemRem INT DEFAULT ((0)) NOT NULL,
CdBodega VARCHAR(4) NOT NULL,
EdoRecibido INT DEFAULT ((0)) NOT NULL,
Comentarios VARCHAR(250),
CdNovedad VARCHAR(4)
 CONSTRAINT PK_Trn_TraTrasladoRem PRIMARY KEY CLUSTERED (TipDoc,Traslado,IdCia,Item),
 CONSTRAINT CK_Trn_TraTrasladoRemCdBodega CHECK ((len([CdBodega])>(0))),
 CONSTRAINT CK_Trn_TraTrasladoRemIdCia CHECK ((len([IdCia])>(0))),
 CONSTRAINT CK_Trn_TraTrasladoRemIdCiaRem CHECK ((len([IdCiaRem])>(0))),
 CONSTRAINT CK_Trn_TraTrasladoRemTipDoc CHECK ((len([TipDoc])>(0))),
 CONSTRAINT CK_Trn_TraTrasladoRemTipRem CHECK ((len([TipRem])>(0))))
CREATE TABLE NovedadTra ( 
IdNovedad VARCHAR(4) NOT NULL,
Novedad VARCHAR(50) NOT NULL,
Inactivo BIT DEFAULT ((0)) NOT NULL
 CONSTRAINT PK_NovedadTra PRIMARY KEY CLUSTERED (IdNovedad),
 CONSTRAINT CK_NovedadTraIdNovedad CHECK ((len([IdNovedad])>(0))),
 CONSTRAINT CK_NovedadTraNovedad CHECK ((len([Novedad])>(0))))
GO
ALTER TABLE TarifasPaq ADD 
 CONSTRAINT FK_TarifasPaq_Localidades FOREIGN KEY (IdOrigen) REFERENCES [dbo].[Localidades] (IdLocal),
 CONSTRAINT FK_TarifasPaq_Localidades1 FOREIGN KEY (IdDestino) REFERENCES [dbo].[Localidades] (IdLocal)

ALTER TABLE TarifasMasivo ADD 
 CONSTRAINT FK_TarifasMasivo_Localidades FOREIGN KEY (IdOrigen) REFERENCES [dbo].[Localidades] (IdLocal),
 CONSTRAINT FK_TarifasMasivo_Localidades1 FOREIGN KEY (IdDestino) REFERENCES [dbo].[Localidades] (IdLocal),
 CONSTRAINT FK_TarifasMasivo_TiposVeh FOREIGN KEY (IdTipoVeh) REFERENCES [dbo].[TiposVeh] (IdTipoVeh)

ALTER TABLE Trn_TraTraslados ADD 
 CONSTRAINT FK_Trn_TraTraslados_adm_Usuarios FOREIGN KEY (IdUsuario) REFERENCES [dbo].[adm_Usuarios] (IdUsuario),
 CONSTRAINT FK_Trn_TraTraslados_AlmBodegas FOREIGN KEY (IdBodega) REFERENCES [dbo].[AlmBodegas] (IdBodega),
 CONSTRAINT FK_Trn_TraTraslados_AlmBodegas1 FOREIGN KEY (IdBodDtno) REFERENCES [dbo].[AlmBodegas] (IdBodega),
 CONSTRAINT FK_Trn_TraTraslados_Companias FOREIGN KEY (IdCia) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_TraTraslados_Companias1 FOREIGN KEY (IdCiaCrea) REFERENCES [dbo].[Companias] (IdCia),
 CONSTRAINT FK_Trn_TraTraslados_Sys_TiposDoc FOREIGN KEY (TipDoc) REFERENCES [dbo].[Sys_TiposDoc] (IdDoc),
 CONSTRAINT FK_Trn_TraTraslados_Terceros FOREIGN KEY (IdConductor) REFERENCES [dbo].[Terceros] (IdTercero)
 CREATE NONCLUSTERED INDEX IX_Trn_TraTrasladosFecha ON Trn_TraTraslados(Fecha)
 CREATE NONCLUSTERED INDEX IX_Trn_TraTrasladosIdConductor ON Trn_TraTraslados(IdConductor)
 CREATE NONCLUSTERED INDEX IX_Trn_TraTrasladosIdVehiculo ON Trn_TraTraslados(IdVehiculo)

ALTER TABLE Trn_TraTrasladoRem ADD 
 CONSTRAINT FK_Trn_TraTrasladoRem_Trn_TraTraslados FOREIGN KEY (TipDoc,Traslado,IdCia) REFERENCES [dbo].[Trn_TraTraslados] (TipDoc,Traslado,IdCia)
 CREATE NONCLUSTERED INDEX IX_Trn_TraTrasladoRemRemesa ON Trn_TraTrasladoRem(TipRem,Remesa,IdCiaRem)

